## pyemd 0.5.1

=== Makefile ===
.PHONY: default test build clean dist test-dist check-dist build-dist clean-dist

src = pyemd
dist_dir = dist

default: build

test: build
	py.test

build: clean
	python setup.py build_ext -b .

clean:
	rm -f pyemd/*.so

dist: build-dist check-dist
	twine upload $(dist_dir)/*

test-dist: build-dist check-dist
	twine upload --repository-url https://test.pypi.org/legacy/ $(dist_dir)/*

check-dist:
	python setup.py check --restructuredtext --strict

build-dist: clean-dist
	python setup.py sdist bdist_wheel --dist-dir=$(dist_dir)

clean-dist:
	rm -rf $(dist_dir)

=== requirements.txt ===
-e .
-r test_requirements.txt
-r dev_requirements.txt
-r dist_requirements.txt

=== debian/changelog ===
pyemd (0.5.1-2) unstable; urgency=medium

  * Run `setup.py test` for each supported Python version (Closes: #972961)
  * Clean some more leftover build/test files
  * Add autopkgtest that runs the upstream tests

 -- Paul Wise <pabs@debian.org>  Wed, 28 Oct 2020 16:27:39 +0800

pyemd (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #970532)

 -- Paul Wise <pabs@debian.org>  Fri, 18 Sep 2020 13:35:33 +0800

=== debian/control ===
Source: pyemd
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>,
Section: python
Priority: optional
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 python3-all-dev,
 python3-numpy (<< 1:2.0.0),
 python3-numpy (>= 1:1.9.0),
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/wmayner/pyemd
Vcs-Git: https://salsa.debian.org/science-team/pyemd.git
Vcs-Browser: https://salsa.debian.org/science-team/pyemd
Rules-Requires-Root: no

Package: python3-pyemd
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python library for the Earth Mover's Distance with NumPy
 PyEMD is a Python wrapper for Ofir Pele and Michael Werman's implementation
 of the Earth Mover's Distance that allows it to be used with NumPy.
 If you use this code, please cite the papers listed in the README.md.

=== debian/tests/control ===
Test-Command: rm -rf pyemd ; pytest-3
Depends: @, python3-pytest

## pyemd 0.5.1.54.g802fa86

=== Makefile ===
.PHONY: default test build clean upload-dist test-dist sign-dist check-dist build-dist clean-dist

src = pyemd
dist_dir = dist

default: build

test: build
	py.test

build: clean
	python setup.py build_ext -b .

clean:
	rm -f pyemd/*.so

upload-dist: sign-dist
	twine upload $(dist_dir)/*

test-dist: check-dist
	twine upload --repository testpypi $(dist_dir)/*

sign-dist: check-dist
	gpg --detach-sign -a dist/*.tar.gz
	gpg --detach-sign -a dist/*.whl

check-dist: build-dist
	python setup.py check --restructuredtext --strict

build-dist: clean-dist
	python setup.py sdist bdist_wheel --dist-dir=$(dist_dir)

clean-dist:
	rm -rf $(dist_dir)

=== debian/changelog ===
pyemd (0.5.1.54.g802fa86-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:22:28 +0000

pyemd (0.5.1.54.g802fa86-2build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:24:02 +0100

pyemd (0.5.1.54.g802fa86-2) unstable; urgency=medium

  * Add missing requires and Depends on numpy (Closes: #1030653)
    - Force python3-numpy Depends as pybuild generates bogus one
  * Add missing test Depends on python3-numpy,
    the test code also uses the numpy module
  * Add autopkgtest that just imports the module,
    so that test depends don't obscure missing module deps

 -- Paul Wise <pabs@debian.org>  Mon, 06 Feb 2023 16:40:12 +0800

pyemd (0.5.1.54.g802fa86-1) unstable; urgency=medium

  * New upstream snapshot
    - Fixes tests ignored in the previous upload Closes: #1027236, #1028886
  * Drop no longer needed patches disabling tests

 -- Paul Wise <pabs@debian.org>  Sun, 05 Feb 2023 09:14:13 +0800

pyemd (0.5.1-3) unstable; urgency=medium

  * Team upload

  [ Paul Wise ]
  * Declare compliance with Debian Policy 4.6.2, no changes needed
  * Update Debian copyright years
  * Drop deprecated XB-Python-Version field

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-numpy.

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Ignore tests that are based on broken input data
    Closes: #1027236, #1028886

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 16:21:45 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=pyemd
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_test:
	for python in $$(py3versions --supported) ; do \
		"$$python" setup.py test ; \
	done

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/(rc|a|b|c)/~$1/" \
https://github.com/wmayner/pyemd.git refs/tags/([a-z0-9.]+)
